Name: tinycdb
Version: 0.74
Release: alt1

Summary: A package for maintenance of constant databases
License: Public Domain
Group: Databases
Url: http://www.corpit.ru/mjt/tinycdb.html

Source: ftp://ftp.corpit.ru/pub/%name/%name-%version.tar.bz2

Patch1: %name-0.74-alt-makefile.patch
Patch2: %name-0.74-alt-progname.patch
Patch3: %name-0.74-alt-doc.patch

Requires: libcdb = %version-%release

%description
tinycdb is a small, fast and reliable utility set and subroutine library
for creating and reading constant databases.  The database structure is
tuned for fast reading:
+ Successful lookups take normally just two disk accesses.
+ Unsuccessful lookups take only one disk access.
+ Small disk space and memory size requirements; a database uses 2048
  bytes for the header and 24 bytes per record.
+ Maximum database size is 4GB; individual record size is not
  otherwise limited.
+ Portable file format.
+ Fast creation of new databases.
+ No locking, updates are atomical.

This package contains the utility.

%package -n libcdb
Summary: The %name shared library 
Group: System/Libraries

%package -n libcdb-devel
Summary: Development libraries and header files for tinycdb
Group: Development/C
Requires: libcdb = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %name-devel

%package -n libcdb-devel-static
Summary: Development static library for tinycdb
Group: Development/C
Requires: libcdb-devel = %version-%release

%description -n libcdb
tinycdb is a small, fast and reliable utility set and subroutine
library for creating and reading constant databases.

This package contains tinycdb shared library.

%description -n libcdb-devel
tinycdb is a small, fast and reliable utility set and subroutine
library for creating and reading constant databases.

This package contains tinycdb development library and header files.
Required if you plan to do development using the tinycdb database.

%description -n libcdb-devel-static
tinycdb is a small, fast and reliable utility set and subroutine
library for creating and reading constant databases.

This package contains development static library.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%make_build CFLAGS="$RPM_OPT_FLAGS" all cdb-shared
%__mv -f cdb-shared cdb
touch cdb
%{?!__buildreqs:%{?!_without_check:%{?!_disable_check:LD_LIBRARY_PATH=`pwd` make check}}}

%install
%makeinstall install-shared syslibdir=$RPM_BUILD_ROOT/lib sysconfdir=$RPM_BUILD_ROOT/etc

%post -n libcdb -p %post_ldconfig
%postun -n libcdb -p %postun_ldconfig

%files
%_bindir/*
%_mandir/man1/*
%doc ChangeLog NEWS

%files -n libcdb
%_libdir/libcdb.so.*

%files -n libcdb-devel
%_libdir/libcdb.so
%_mandir/man[35]/*
%_includedir/*

%files -n libcdb-devel-static
%_libdir/libcdb.a

%changelog
* Sat Apr 17 2004 Dmitry V. Levin <ldv@altlinux.org> 0.74-alt1
- Updated to 0.74.
- Raised soname to reflect API and ABI changes.
- Fixed typo in cdb(3) manpage.
- Fixed potential null dereference in cdb utility.

* Thu Dec 11 2003 Dmitry V. Levin <ldv@altlinux.org> 0.73-alt3
- Relocated cdb(5) to devel subpackage.
- Build static library without %%optflags_shared.

* Mon Oct 20 2003 Dmitry V. Levin <ldv@altlinux.org> 0.73-alt2
- Build shared library.
- Run tests after build.
- Resplit subpackages: %name, libcdb, libcdb-devel, libcdb-devel-static.

* Mon Sep 08 2003 Victor Forsyuk <force@altlinux.ru> 0.73-alt1
- Initial build for Sisyphus.
